Package ru.bitel.bgbilling.modules.rurupay.common.bean

# Enum RuRuPayCancelReason

java.lang.Object
java.lang.Enum<RuRuPayCancelReason>
ru.bitel.bgbilling.modules.rurupay.common.bean.RuRuPayCancelReason

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuRuPayCancelReason>`, `java.lang.constant.Constable`, `ListItem`

    public enum RuRuPayCancelReason
    extends java.lang.Enum<RuRuPayCancelReason>
    implements ListItem

Код причины отказа от резервирования.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CLIENT` |
  `LOWMANY` |
  `SYSERROR` |
  `UNKNOWN` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` | Код для сохранения в базе.
  `int` | `getId()` |
  `java.lang.String` | `getTitle()` | Заголовок статуса, для отображения пользователю.
  `static RuRuPayCancelReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static RuRuPayCancelReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIENT

    public static final RuRuPayCancelReason CLIENT

  - ### SYSERROR

    public static final RuRuPayCancelReason SYSERROR

  - ### LOWMANY

    public static final RuRuPayCancelReason LOWMANY

  - ### UNKNOWN

    public static final RuRuPayCancelReason UNKNOWN

- ## Method Details

  - ### values

    public static RuRuPayCancelReason[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuRuPayCancelReason valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Код для сохранения в базе. Для передачи меж клиентом и сервером итд чаще используется текстовое обозначение енум-константы.

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### getTitle

    public java.lang.String getTitle()
    Заголовок статуса, для отображения пользователю.
    Specified by:
      `getTitle` in interface `ListItem`